Robot Simulator of the Robotics Group for Self-Organization of Control: Teachable Class Reference

# Teachable Class Reference

Interface for teachable controller. More...

`#include <teachable.h>`

Inherited by CrossMotorCoupling, InvertMotorNStep, SeMoX, and Sox.

List of all members.

## Public Member Functions
virtual | ~Teachable ()
virtual void | setMotorTeaching (const matrix::Matrix &teaching)=0
| The given motor teaching signal is used for this timestep.
virtual void | setSensorTeaching (const matrix::Matrix &teaching)=0
| The given sensor teaching signal (distal learning) is used for this timestep.
virtual matrix::Matrix | getLastMotorValues ()=0
| returns the last motor values (useful for cross motor coupling)
virtual matrix::Matrix | getLastSensorValues ()=0
| returns the last sensor values (useful for cross sensor coupling)

## Detailed Description

Interface for teachable controller.

## Constructor & Destructor Documentation

virtual ~Teachable | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual matrix::Matrix getLastMotorValues | ( |  | ) | `[pure virtual]`

returns the last motor values (useful for cross motor coupling)

Implemented in CrossMotorCoupling, InvertMotorNStep, SeMoX, and Sox.

virtual matrix::Matrix getLastSensorValues | ( |  | ) | `[pure virtual]`

returns the last sensor values (useful for cross sensor coupling)

Implemented in CrossMotorCoupling, InvertMotorNStep, SeMoX, and Sox.

virtual void setMotorTeaching | ( | const matrix::Matrix & | teaching | ) | `[pure virtual]`

The given motor teaching signal is used for this timestep.

It is used as a feed forward teaching signal for the controller. Please note, that the teaching signal has to be given each timestep for a continuous teaching process.

Parameters:

  | teaching,: | matrix with dimensions (motornumber,1)

Implemented in CrossMotorCoupling, InvertMotorNStep, SeMoX, and Sox.

virtual void setSensorTeaching | ( | const matrix::Matrix & | teaching | ) | `[pure virtual]`

The given sensor teaching signal (distal learning) is used for this timestep.

The belonging motor teachung signal is calculated by the inverse model. See setMotorTeaching

Parameters:

  | teaching,: | matrix with dimensions (motorsensors,1)

Implemented in CrossMotorCoupling, InvertMotorNStep, SeMoX, and Sox.

The documentation for this class was generated from the following file:

- teachable.h